=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kopete
 Section: kde
 Priority: optional
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11~),
                dh-exec,
@@ -29,15 +30,15 @@
                libkf5doctools-dev (>= 5.25.0~),
                libkf5emoticons-dev (>= 5.25.0~),
                libkf5i18n-dev (>= 5.25.0~),
-               libkf5identitymanagement-dev (>= 22.04.3~),
+               libkf5identitymanagement-dev (>= 23.08.0~),
                libkf5kcmutils-dev (>= 5.25.0~),
                libkf5kdelibs4support-dev (>= 5.25.0~),
                libkf5khtml-dev (>= 5.25.0~),
                libkf5kio-dev (>= 5.25.0~),
-               libkf5ktextaddons-dev,
-               libkf5libkleo-dev (>= 4:22.04.3~),
+               libkf5libkleo-dev (>= 4:23.08.0~),
                libkf5notifyconfig-dev (>= 5.25.0~),
                libkf5parts-dev (>= 5.25.0~),
+               libkf5textaddons-dev,
                libkf5texteditor-dev (>= 5.25.0~),
                libkf5wallet-dev (>= 5.25.0~),
                libmeanwhile-dev,
@@ -47,7 +48,6 @@
                libphonon4qt5-dev,
                libphonon4qt5experimental-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
-               libqgpgme-dev,
                libsqlite3-dev,
                libsrtp2-dev,
                libssl-dev,
@@ -61,12 +61,11 @@
                qtbase5-dev (>= 5.6.0~),
                xauth,
                xvfb,
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.2.1
 Homepage: http://www.kde.org/
-Vcs-Git: https://invent.kde.org/neon/kde/kopete.git
-Vcs-Browser: https://invent.kde.org/neon/kde/kopete
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kopete
 
 Package: kopete
 Section: net
@@ -101,7 +100,7 @@
 Architecture: any
 Depends: libkopete1 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: development files for the Kopete instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
  variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
